using SqlSugar;
using System;
using System.Collections.Generic;
using System.Security.Principal;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("dms_record_alarm_time"), TenantAttribute("mes")]
    public class DmsRecordAlarmTime
    {
        /// <summary>
        /// 主键标识
        /// </summary>
        [SugarColumn(ColumnName = "alarm_id", IsPrimaryKey = true, IsIdentity = true)]
        public long AlarmId { get; set; }

        /// <summary>
        /// 设备台账id,关联dms_base_device_ledger的device_id
        /// </summary>
        [SugarColumn(ColumnName = "device_id")]
        public long DeviceId { get; set; }

        /// <summary>
        /// 设备报警规则id,关联dms_base_alarm_rule的alarm_rule_id
        /// </summary>
        [SugarColumn(ColumnName = "alarm_rule_id")]
        public long AlarmRuleId { get; set; }

        /// <summary>
        /// 报警开始时间
        /// </summary>
        [SugarColumn(ColumnName = "alarm_begin_time")]
        public DateTime AlarmBeginTime { get; set; }

        /// <summary>
        /// 报警持续时间（ms）
        /// </summary>
        [SugarColumn(ColumnName = "continue_time")]
        public long? ContinueTime { get; set; }

        /// <summary>
        /// 报警原因
        /// </summary>
        [SugarColumn(ColumnName = "alarm_reason")]
        public string AlarmReason { get; set; }

        /// <summary>
        /// 报警数据
        /// </summary>
        [SugarColumn(ColumnName = "alarm_data")]
        public string AlarmData { get; set; }

        /// <summary>
        /// 处理建议
        /// </summary>
        [SugarColumn(ColumnName = "handle_suggest")]
        public string HandleSuggest { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }
    }
}
